/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controldeasistencias;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.persistence.EntityManagerFactory;
import javax.persistence.PersistenceException;
import javax.swing.JOptionPane;
import persistence.util.JpaUtil;
import controldeasistencias.utils.BDConfig;
import controldeasistencias.utils.EncryptedProperties;

/**
 *
 * @author Administrador
 */
public class SplashBienvenida extends javax.swing.JFrame {

    private EntityManagerFactory emf;

    /**
     * Creates new form SplashBienvenida
     */
    public SplashBienvenida() {
        initComponents();
       
        System.out.println("Creando Conexion.");
        EncryptedProperties prop = null;

        try {
            prop = new EncryptedProperties("xProperti");

        } catch (Exception ex) {
            Logger.getLogger(SplashBienvenida.class.getName()).log(Level.SEVERE, null, ex);
        }
        InputStream input = null;

        try {
            File f = new File("myProperties");
            if (f.exists()) {
                FileInputStream in = new FileInputStream(f);
                prop.load(in);

                String keyURL = "javax.persistence.jdbc.url";
                String keyUser = "javax.persistence.jdbc.user";
                String keyPass = "javax.persistence.jdbc.password";

                String valUser = prop.getProperty("user");
                String valPass = prop.getProperty("pass");
                String valUrl = "jdbc:mysql://" + prop.getProperty("serv") + "/" + prop.getProperty("bd");

                Map<String, Object> properties = new HashMap();
                properties.put(keyURL, valUrl);
                properties.put(keyUser, valUser);
                properties.put(keyPass, valPass);

                try {
                    emf = JpaUtil.getEntityManagerFactory(properties);
                    System.out.println("Conexion establecida.");
                } catch (PersistenceException e) {
                    JOptionPane.showMessageDialog(rootPane, "No se ha conectado con "
                            + "la base de datos...", "Message", JOptionPane.ERROR_MESSAGE);
                }
            } else {
                BDConfig config = new BDConfig(this, true);
                config.setLocationRelativeTo(null);
                config.setVisible(true);
            }

        } catch (IOException ex) {

            ex.printStackTrace();

        } finally {
            if (input != null) {
                try {
                    input.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }

        

        try {
            Thread.sleep(2000);
        } catch (InterruptedException ex) {
            Logger.getLogger(SplashBienvenida.class.getName()).log(Level.SEVERE, null, ex);
        }
        this.setVisible(false);
        this.dispose();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 24)); // NOI18N
        jLabel1.setText("Cargando...");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(190, 190, 190)
                .addComponent(jLabel1)
                .addContainerGap(221, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(81, 81, 81)
                .addComponent(jLabel1)
                .addContainerGap(91, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    // End of variables declaration//GEN-END:variables
}
